#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,z=1,x;
    for(int i=0;i<n;i++)
        cin>>x;
        string t;
        while(x>=1)
            z=z*(x%10);
            x=(x-(x%10))/10;
            m=length(t);
            cout<<m<<endl;
        z=1;

    return 0;
}